## lunar 0.1-04

=== DESCRIPTION ===
Package: lunar
Type: Package
Title: Lunar Phase & Distance, Seasons and Other Environmental Factors
Author: Emmanuel Lazaridis [aut, cre]
Maintainer: Emmanuel Lazaridis <emmanuel@lazaridis.eu>
Depends: R (>= 2.10.0)
Description: Provides functions to calculate lunar and other environmental
    covariates.
License: MIT + file LICENSE
Encoding: UTF-8
LazyLoad: no
URL: http://statistics.lazaridis.eu
Authors@R: c(person(given = "Emmanuel", family = "Lazaridis",
    email="emmanuel@lazaridis.eu", role = c("aut", "cre")))
Version: 0.1-04
Date: 2014-09-04
Packaged: 2014-09-04 14:50:09 UTC; james
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-08 10:59:14

## lunar 0.2-1

=== DESCRIPTION ===
Package: lunar
Type: Package
Title: Calculate Lunar Phase & Distance, Seasons and Related
        Environmental Factors
Author: Emmanuel Lazaridis [aut, cre]
Maintainer: Emmanuel Lazaridis <emmanuel@strategicarrow.com>
Depends: R (>= 2.10.0)
Description: Provides functions to calculate lunar and other related
    environmental covariates.
License: MIT + file LICENSE
Encoding: UTF-8
LazyLoad: no
Authors@R: c(person(given = "Emmanuel", family = "Lazaridis",
    email="emmanuel@strategicarrow.com", role = c("aut", "cre")))
Version: 0.2-1
Date: 2022-06-13
Packaged: 2022-06-13 13:48:40 UTC; emmanuel
RoxygenNote: 7.2.0
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2022-06-13 15:40:02 UTC

## lunar 2.2

=== Makefile ===
# Makefile of LUNAR

# Copyright (C) 1988,1989,1991,1992,2001 Fung F. Lee and Ricky Yeung

# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


# CFLAGS= -O

lunar:	lunar.o
	cc -o lunar lunar.o

clean:
	rm *.o

=== debian/changelog ===
lunar (2.2-10) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * d/control: fix typo in long Description
  * d/patches: add Forwarded: not-needed for some files
  * d/copyright:
      - update year info to 2025
      - fix lintian old-fsf-address-in-copyright-file
  * Bump Standards-Version: 4.7.2

  [ Adrian Bunk ]
  * d/rules: Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097320)

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 05 Oct 2025 09:44:59 +0800

lunar (2.2-9) unstable; urgency=medium

  [ xiao sheng wen (肖盛文) ]
  * d/control: Bump Standards-Version: 4.5.1
  * d/patches/06_use_locale_and_current_date.diff:
      - update new version and date 2.2-9 (Debian) (Dec 16, 2020)
  * update patches/22_*.patch (Closes: #977439)

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 16 Dec 2020 11:47:14 +0800

lunar (2.2-8) unstable; urgency=medium

  [ 肖盛文 ]
  * update new version and time 2.2-8 (Debian) (May 16, 2020)
  * fix datetime goback bug, Closes: #854019
  * add README.Debian for new version release

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 16 May 2020 12:45:54 +0800

lunar (2.2-7) unstable; urgency=medium

  [ 肖盛文 ]
  * d/rules:
      - export DEB_BUILD_MAINT_OPTIONS = hardening=+all
      - use patch to fix make clean error
  * d/control:
      - Bump Standards-Version: 4.5.0
      - Bump debhelper-compat (= 13)
      - Rules-Requires-Root: no
      - New Uploaders: xiao sheng wen <atzlinux@sina.com>
      - update Vcs-Git Vcs-Browser url
  * d/copyright:
      - use /usr/share/common-licenses/GPL-2
      - use https for copyright-format-uri
      - add Files: * line
  * d/watch:
      - update to version 4
      - use https for url
  * update version and release time info in patch files

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 15 May 2020 11:52:44 +0800

lunar (2.2-6) unstable; urgency=medium

  * Correct URL of Vcs-Browser in debian/control

 -- Anthony Fok <foka@debian.org>  Tue, 05 Jan 2016 08:41:17 -0700

lunar (2.2-5) unstable; urgency=medium

  * Fix incorrect year in lunar-to-solar conversion.
    Thanks to Xie Xun for catching my mistaken removal of the call
    to make_yday() in 2.2-4.  (Closes: #792472)
  * Update debian/control:
     - Bump Standards-Version to 3.9.6
     - Change Maintainer to Debian Chinese Team
     - Add Vcs-* fields pointing to anonscm.debian.org
  * Update debian/copyright

 -- Anthony Fok <foka@debian.org>  Sun, 20 Sep 2015 01:01:09 -0600

lunar (2.2-4) unstable; urgency=low

  * Acknowledge NMU on 2.2-3.1.  Thanks to CHENG Yuk-Pong for noticing
    the wrong output on year 2033 and providing an initial patch,
    and to LI Daobing for providing a corrected patch and NMU.
  * Use current locale and system time for display by default.
    Most parameters thus become optional. Saves a lot of typing!  :-)
  * lunar.bitmap contained a line that was too long, and with the new
    aggressive loop optimizations in GCC 4.8, "lunar -b" would not stop
    looping when parsing lunar.bitmap, and would eventually result in a
    segmentation fault.  Fixed lunar.bitmap and lunar.c accordingly.
  * Bump Standards-Version to 3.9.4
  * Switch to dpkg-source 3.0 (quilt) format, and split up the patches
    as follows:
     - 01_strip_trailing_whitespace.diff
     - 02_fix_compiler_warnings.diff
     - 03_add_full_path_to_lunar_bitmap.diff
     - 04_add_big5_and_utf8_output.diff
     - 05_fix_output_on_year_2033.diff
     - 06_use_locale_and_current_date.diff
     - 07_fix_segfault_aggressive-loop-optimizations.diff
     - 10_complete_the_makefile.diff
     - 20_update_man_page.diff
  * Convert debian/copyright to machine-readable format
  * Move to dh9-style minimal rules file
  * Remove explicit compilation target from Makefile
    (Lintian: W: lunar: hardening-no-relro usr/bin/lunar)
  * Add "Depends: ${misc:Depends}
    (Lintian: W: lunar source: debhelper-but-no-misc-depends lunar)
  * Update upstream URL to the archived copy found on http://web.archive.org/
  * Add debian/watch (Lintian: I: lunar source: debian-watch-file-is-missing)
  * Update man page to reflect the new options added to this Debian version
    of Lunar.  Thanks to Jidanni for the suggestion!  (Closes: #514069)

 -- Anthony Fok <foka@debian.org>  Wed, 20 Nov 2013 02:07:41 +0800

lunar (2.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * FIX: lunar-2.2 wrong output on year 2033 (Closes: #366918)

 -- LI Daobing <lidaobing@gmail.com>  Sun, 05 Oct 2008 20:02:16 +0800

lunar (2.2-3) unstable; urgency=low

  * Added --utf8 option.  (Closes: Bug#288170)
  * Updated Standards-Version: 3.6.2
  * [lunar.c]: Added "#include <stdlib.h>" to remove compiler warnings.

 -- Anthony Fok <foka@debian.org>  Wed,  4 Jan 2006 20:32:25 +0800

lunar (2.2-2) unstable; urgency=medium

  * Oops, I forgot to install lunar.bitmap and to specify its full path
    in the source code!  Many thanks to Jeronimo Pellegrini for providing
    the patch to fix the problem.  (Closes: Bug#162634)

 -- Anthony Fok <foka@debian.org>  Sat, 19 Oct 2002 02:00:36 +0800

lunar (2.2-1) unstable; urgency=low

  * Initial Release.
  * Added Big5 output in addition to the original Hanzi (GB) output.

 -- Anthony Fok <foka@debian.org>  Sun, 22 Sep 2002 14:54:09 +0800

=== debian/control ===
Source: lunar
Section: utils
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           xiao sheng wen <atzlinux@sina.com>,
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://web.archive.org/web/20051027042122/https://umunhum.stanford.edu/~lee/chicomp/chicomp.html
Vcs-Git: https://salsa.debian.org/chinese-team/lunar.git
Vcs-Browser: https://salsa.debian.org/chinese-team/lunar

Package: lunar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chinese Lunar Calendar conversion utility
 The program performs date conversion between the Gregorian Solar Calendar
 (SC) and the Chinese Lunar Calendar (LC).  Given a date in either calendar,
 the program also outputs the corresponding "shengxiao" animal of the year
 and "ganzhi" characters.  The date range currently covered is from about
 1900 A.D. to 2049 A.D.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@

execute_before_dh_auto_clean:
	dpkg-source --before-build .

execute_after_dh_auto_clean:
	dpkg-source --after-build .

=== debian/watch ===
version=4
https://web.archive.org/web/20051027042122/https://umunhum.stanford.edu/~lee/chicomp/chicomp.html \
  (?:.*/)?@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
